stages:
  - test
  - dist

image: python:3.7-slim

unit test:
 stage: test 
 coverage: '/^TOTAL.+?(\d+\.\d+\%)$/'
 script:  
  - python setup.py test

build distribution:
  stage: dist
  script:
    - echo ${CI_COMMIT_TAG:-$CI_COMMIT_SHA} > stackdriver_formatter/VERSION
    - python setup.py sdist
  artifacts:
    paths:
      - dist
  only:
    - tags
